Index: uspace/srv/loader/include/elf_load.h
===================================================================
--- uspace/srv/loader/include/elf_load.h	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/loader/include/elf_load.h	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -27,5 +27,5 @@
  */
 
-/** @addtogroup generic
+/** @addtogroup generic	
  * @{
  */
@@ -51,5 +51,5 @@
 
 	/** ELF interpreter name or NULL if statically-linked */
-	const char *interp;
+	char *interp;
 
 	/** Pointer to the dynamic section */
@@ -74,5 +74,5 @@
 } elf_ld_t;
 
-int elf_load_file(const char *file_name, size_t so_bias, elf_info_t *info);
+int elf_load_file(char *file_name, size_t so_bias, elf_info_t *info);
 void elf_run(elf_info_t *info, pcb_t *pcb);
 void elf_create_pcb(elf_info_t *info, pcb_t *pcb);
Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/il/ip/ip.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -479,5 +479,5 @@
 	ERROR_DECLARE;
 
-	measured_string_t	names[] = {{ str_dup("IPV"), 3 }, { str_dup("IP_CONFIG"), 9 }, { str_dup("IP_ADDR"), 7 }, { str_dup("IP_NETMASK"), 10 }, { str_dup("IP_GATEWAY"), 10 }, { str_dup("IP_BROADCAST"), 12 }, { str_dup("ARP"), 3 }, { str_dup("IP_ROUTING"), 10 }};
+	measured_string_t	names[] = {{ "IPV", 3 }, { "IP_CONFIG", 9 }, { "IP_ADDR", 7 }, { "IP_NETMASK", 10 }, { "IP_GATEWAY", 10 }, { "IP_BROADCAST", 12 }, { "ARP", 3 }, { "IP_ROUTING", 10 }};
 	measured_string_ref	configuration;
 	size_t				count = sizeof( names ) / sizeof( measured_string_t );
Index: uspace/srv/net/modules.c
===================================================================
--- uspace/srv/net/modules.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/modules.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -55,17 +55,16 @@
 
 int connect_to_service_timeout( services_t need, suseconds_t timeout ){
-	if (timeout <= 0)
-		return async_connect_me_to_blocking( PHONE_NS, need, 0, 0);
-	
+	ipcarg_t phone;
+	int res;
+
 	while( true ){
-		int phone;
-
-		phone = async_connect_me_to( PHONE_NS, need, 0, 0);
-		if( (phone >= 0) || (phone != ENOENT) )
+		res = async_req_3_5( PHONE_NS, IPC_M_CONNECT_ME_TO, need, 0, 0, NULL, NULL, NULL, NULL, & phone );
+		if( res >= 0 ){
 			return phone;
-	
-		timeout -= MODULE_WAIT_TIME;
-		if( timeout <= 0 ) return ETIMEOUT;
-
+		}
+		if( timeout > 0 ){
+			timeout -= MODULE_WAIT_TIME;
+			if( timeout <= 0 ) return ETIMEOUT;
+		}
 		usleep( MODULE_WAIT_TIME );
 	}
@@ -85,5 +84,5 @@
 	if( phone >= 0 ){
 		if( ERROR_OCCURRED( ipc_connect_to_me( phone, arg1, arg2, arg3, & phonehash ))){
-			ipc_hangup( phone );
+			async_msg_0( phone, IPC_M_PHONE_HUNGUP );
 			return ERROR_CODE;
 		}
Index: uspace/srv/net/net/net.c
===================================================================
--- uspace/srv/net/net/net.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/net/net.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -154,5 +154,5 @@
  *  @returns Other error codes as defined for the add_configuration() function.
  */
-int	read_netif_configuration( const char * name, netif_ref netif );
+int	read_netif_configuration( char * name, netif_ref netif );
 
 /** Networking module global data.
@@ -413,5 +413,5 @@
 }
 
-int read_netif_configuration( const char * name, netif_ref netif ){
+int read_netif_configuration( char * name, netif_ref netif ){
 	// read the netif configuration file
 	return read_configuration_file( CONF_DIR, name, & netif->configuration );
@@ -485,7 +485,7 @@
 
 #ifdef CONFIG_NETIF_DP8390
-	const char *		conf_files[] = { "lo", "ne2k" };
+	char *		conf_files[] = { "lo", "ne2k" };
 #else
-	const char *		conf_files[] = { "lo" };
+	char *		conf_files[] = { "lo" };
 #endif
 
Index: uspace/srv/net/net/start/netstart.c
===================================================================
--- uspace/srv/net/net/start/netstart.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/net/start/netstart.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -69,5 +69,5 @@
  *  @returns Other error codes as defined for the task_spawn() function.
  */
-task_id_t	spawn( const char * fname );
+task_id_t	spawn( char * fname );
 
 int main( int argc, char * argv[] ){
@@ -97,12 +97,16 @@
 }
 
-task_id_t spawn( const char * fname ){
-	const char *	argv[ 2 ];
+task_id_t spawn( char * fname ){
+	char *	argv[ 2 ];
 	task_id_t	res;
 
+//	printf( "Spawning %s\n", fname );
 	argv[ 0 ] = fname;
 	argv[ 1 ] = NULL;
 	res = task_spawn( fname, argv );
-	
+	if( res != 0 ){
+		/* Success */
+		usleep( 50000 );
+	}
 	return res;
 }
Index: uspace/srv/net/netif/lo/lo.c
===================================================================
--- uspace/srv/net/netif/lo/lo.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/netif/lo/lo.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -102,5 +102,5 @@
 int netif_get_addr_message( device_id_t device_id, measured_string_ref address ){
 	if( ! address ) return EBADMEM;
-	address->value = str_dup(DEFAULT_ADDR);
+	address->value = DEFAULT_ADDR;
 	address->length = DEFAULT_ADDR_LEN;
 	return EOK;
Index: uspace/srv/net/nil/eth/eth.c
===================================================================
--- uspace/srv/net/nil/eth/eth.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/nil/eth/eth.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -308,5 +308,5 @@
 	eth_device_ref	device;
 	int				index;
-	measured_string_t	names[ 2 ] = {{ str_dup("ETH_MODE"), 8 }, { str_dup("ETH_DUMMY"), 9 }};
+	measured_string_t	names[ 2 ] = {{ "ETH_MODE", 8 }, { "ETH_DUMMY", 9 }};
 	measured_string_ref	configuration;
 	size_t				count = sizeof( names ) / sizeof( measured_string_t );
Index: uspace/srv/net/structures/module_map.c
===================================================================
--- uspace/srv/net/structures/module_map.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/structures/module_map.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -49,5 +49,5 @@
 GENERIC_CHAR_MAP_IMPLEMENT( modules, module_t )
 
-int add_module( module_ref * module, modules_ref modules, const char * name, const char * filename, services_t service, task_id_t task_id, connect_module_t connect_module ){
+int add_module( module_ref * module, modules_ref modules, char * name, char * filename, services_t service, task_id_t task_id, connect_module_t connect_module ){
 	ERROR_DECLARE;
 
@@ -86,12 +86,23 @@
 }
 
-task_id_t spawn( const char * fname ){
-	const char * argv[ 2 ];
+task_id_t spawn( char * fname ){
+	char * argv[ 2 ];
+//	char * argv[ 4 ];
 	task_id_t	res;
 
+//	printf( "Spawning %s\n", fname );
 	argv[ 0 ] = fname;
 	argv[ 1 ] = NULL;
 	res = task_spawn( fname, argv );
-
+/*	argv[ 0 ] = "/app/trace";
+	argv[ 1 ] = "+ti";
+	argv[ 2 ] = fname;
+	argv[ 3 ] = NULL;
+	res = task_spawn( "/app/trace", argv );
+*/
+	if( res != 0 ){
+		/* Success */
+		usleep( 10000 );
+	}
 	return res;
 }
Index: uspace/srv/net/structures/module_map.h
===================================================================
--- uspace/srv/net/structures/module_map.h	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/structures/module_map.h	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -79,8 +79,8 @@
 	/** Module name.
 	 */
-	const char *		name;
+	char *		name;
 	/** Module full path filename.
 	 */
-	const char *		filename;
+	char *		filename;
 	/** Connecting function.
 	 */
@@ -99,5 +99,5 @@
  *  @returns ENOMEM if there is not enough memory left.
  */
-int	add_module( module_ref * module, modules_ref modules, const char * name, const char * filename, services_t service, task_id_t task_id, connect_module_t * connect_module );
+int	add_module( module_ref * module, modules_ref modules, char * name, char * filename, services_t service, task_id_t task_id, connect_module_t * connect_module );
 
 /** Searches and returns the specified module.
@@ -116,5 +116,5 @@
  *  @returns 0 if there is no such module.
  */
-task_id_t	spawn( const char * fname );
+task_id_t	spawn( char * fname );
 
 #endif
Index: uspace/srv/net/tl/icmp/icmp.c
===================================================================
--- uspace/srv/net/tl/icmp/icmp.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/tl/icmp/icmp.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -464,5 +464,5 @@
 	ERROR_DECLARE;
 
-	measured_string_t	names[] = {{ str_dup("ICMP_ERROR_REPORTING"), 20 }, { str_dup("ICMP_ECHO_REPLYING"), 18 }};
+	measured_string_t	names[] = {{ "ICMP_ERROR_REPORTING", 20 }, { "ICMP_ECHO_REPLYING", 18 }};
 	measured_string_ref	configuration;
 	size_t				count = sizeof( names ) / sizeof( measured_string_t );
Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/net/tl/udp/udp.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -192,5 +192,5 @@
 	ERROR_DECLARE;
 
-	measured_string_t	names[] = {{ str_dup("UDP_CHECKSUM_COMPUTING"), 22 }, { str_dup("UDP_AUTOBINDING"), 15 }};
+	measured_string_t	names[] = {{ "UDP_CHECKSUM_COMPUTING", 22 }, { "UDP_AUTOBINDING", 15 }};
 	measured_string_ref	configuration;
 	size_t				count = sizeof( names ) / sizeof( measured_string_t );
Index: uspace/srv/taskmon/taskmon.c
===================================================================
--- uspace/srv/taskmon/taskmon.c	(revision aa85487c600b0fee35e8be1a6edd9b5b1a9a0646)
+++ uspace/srv/taskmon/taskmon.c	(revision 2e992773e5f019775f8da23f506b24fe7ec905b0)
@@ -49,9 +49,9 @@
 static void fault_event(ipc_callid_t callid, ipc_call_t *call)
 {
-	const char *argv[6];
-	const char *fname;
+	char *argv[6];
+	char *fname;
 	char *dump_fname;
 	char *s_taskid;
-	const char **s;
+	char **s;
 
 	task_id_t taskid;
@@ -89,6 +89,5 @@
 
 	printf(NAME ": Executing");
-	
-	s = argv;
+        s = argv;
 	while (*s != NULL) {
 		printf(" %s", *s);
